#ifndef VERSIONS_H
#define VERSIONS_H

/**
 * Here is listed the version history of the soft with some information about each one of them.
 * 
 * Versioning scheme MAJOR.MINOR.PATCH
 */

//#define SOFT_VERSION "1.0.0" //First version tracking
//#define SOFT_VERSION "1.1.0" //Added trailing zeros to the date and time
//#define SOFT_VERSION "1.1.1" //Added delayed esp restart/reset api call
//#define SOFT_VERSION "1.1.2" //Fixed a big memory leak :( shame on me...
//#define SOFT_VERSION "1.1.3" //TaskSchedulerManager added millis rollover
//#define SOFT_VERSION "1.1.4" //Cleaned AP and STA wifi start
//#define SOFT_VERSION "1.2.0" //Added new PowerManager class
//#define SOFT_VERSION "1.2.1" //Corrected a bug in the TaskSchedulerManager class
//#define SOFT_VERSION "1.3.0" //Implemented multi-client non blocking webserver
//#define SOFT_VERSION "1.3.1" //Fixed sdCardUnmount api call
//#define SOFT_VERSION "1.3.2" //Modified TCPServer and WEBServer core logic
//#define SOFT_VERSION "1.4.0" //Added the new FTPServer
//#define SOFT_VERSION "1.4.1" //Updated FTP server to use the new SD library for the ESP8266
//#define SOFT_VERSION "1.4.2" //Added new functionalities to the FTP server as well as login check
//#define SOFT_VERSION "1.4.3" //Added ICACHE_RAM_ATTR because of a strange performance hit
//#define SOFT_VERSION "1.5.0" //Added new rtcInfo view + DS3231 internal temperature
//#define SOFT_VERSION "1.5.1" //Corrected a mistake in the sendPageToClientFromSdCard method (WEBServer class)
//#define SOFT_VERSION "1.5.2" //Started to put every string in the flash memory instead of the ram
//#define SOFT_VERSION "1.5.3" //Minor changes and fixes to the ConnectivityManager class
//#define SOFT_VERSION "1.5.4" //Updated TCPClient (using memmove instead of strcpy)
//#define SOFT_VERSION "1.5.5" //WEBServer now parsing form parameters in the post data section
//#define SOFT_VERSION "1.5.6" //Added new SAB method to set te cpu frequency at run time
//#define SOFT_VERSION "1.6.0" //Added the new HttpClient class along with tests in a new task
//#define SOFT_VERSION "1.6.1" //Reworked the ScreenManager in order to display previous views and did some code optimization
//#define SOFT_VERSION "1.6.2" //Added a run method to the screen manager and reworked the error system
//#define SOFT_VERSION "1.6.3" //Added a new api call to get nearby wifi access points
//#define SOFT_VERSION "1.6.4" //Added the forceRefresh() method to the ScreenManager Object
//#define SOFT_VERSION "1.6.5" //Removed the sd card mount and unmount api calls, replaced with the sdCardAction api call which takes a parameter (does the same thing)
//#define SOFT_VERSION "1.6.6" //Removed useless INIT state that was like the LINE_BREAK state and added '-' as an allowed PARAM and VALUE character
//#define SOFT_VERSION "1.6.7" //Changed the way we store and return the 3 letter month abbreviation
//#define SOFT_VERSION "1.6.8" //Finally fixed the random crash issue concerning the servers :)
//#define SOFT_VERSION "1.6.9" //Updated the whole app to work with the esp8266 core 3.0.2 version, removed a bunch of warnings, corrected an array index overflow in apiTesterApi function
//#define SOFT_VERSION "1.6.10" //Introduced new class : NonBlockingDelay which is used in the app.ino file.
//#define SOFT_VERSION "1.6.11" //WEBServer now handling partial request when sending audio, video etc.
//#define SOFT_VERSION "1.6.12" //WEBServer parsing http query parameters differently, allowing for longer URI and RAM savings.
//#define SOFT_VERSION "1.6.13" //ScreenManager now providing and handling display auto power off functionality to save power as well as to fight OLED burn-in.
//#define SOFT_VERSION "1.6.14" //Corrected a major stack overflow in the WEBServer and fixed a potential one in the FTPServer.
#define SOFT_VERSION "1.6.15" //WEBServer now lists files and folder of a resource when it is a folder.
#endif //VERSIONS_H
